//looks for all EEP files and write the include file
const fs = require('fs');

async function generateEEPList() {
	//example for include eep file: a50205: require('./eep/a5-02-02.js').a50202;
	let eepTable = {};
	const path = __dirname.replace('lib/devHelper', 'lib/definitions/eep');
	const folders = await fs.readdirSync(path);
	for(const d in folders) {
		const files = await fs.readdirSync(`${path}/${folders[d]}`);
		for (const f in files) {
			const index = files[f].replace(/[-|\.json]/g, '');
			eepTable[index] = `require('./eep/${folders[d]}/${files[f]}')`;
		}

	}

	await fs.writeFileSync('./definitions/EEPinclude.js', `const EEPList = ${JSON.stringify(eepTable, null, 4).replace(/"/g, '')}; \nmodule.exports = EEPList;`);
}

generateEEPList();
